<script setup lang="ts">
import { uselistnamepayStore } from '@/stores/listnamepay';


const formatDate = (date: Date) => {
    const options = { 
    year: 'numeric' as const, 
    month: 'long' as const, 
    day: 'numeric' as const, 
    // hour: 'numeric' as const, 
    // minute: 'numeric' as const,
    // second: 'numeric' as const
};
    return date.toLocaleDateString('en-US', options);
}

//  อยูใน tr tablev-for="item in desserts"
//         :key="item.name"
const listNamepay = uselistnamepayStore()
</script>
<template>
    <div class="pa-4 text-center">
      <v-dialog max-width="800">
        <template v-slot:activator="{ props: activatorProps }">
          <v-btn
          icon="mdi-printer-outline"
            v-bind="activatorProps"
         
          ></v-btn>
          
        </template>
  
        <template v-slot:default="{ isActive }">
            <!-- title="Pay Slip" -->
          <v-card >
            <v-card-text>
                <tr>
                    <td style="text-align: left; padding-right: 250px">
                        <br>
                        ชื่อบริษัท : XXXXXXXXXXXXXXXXXXXX
                    </td>
                    <td style="text-align: right">
                        <br>
                       <div >วันที่ชำระ: {{  formatDate(new Date()) }}</div> 
                    </td>
                </tr>
                <div v-for="(item, index) in listNamepay.listnamepay" :key="index">
                <tr    >
                    <td>
                        <br>
                        ชื่อนามสกุล(รหัส): {{item.name }} 
                        <div class="text-caption" >Emp.name(Code)</div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <br>
                        ตำแหน่ง: {{ item.roles }}
                        <div class="text-caption" >Position</div>
                    </td>
                </tr>
                
                <div><tr>--------------------------------------------------------------------------------------------------------------------</tr></div>   
            </div>
            <div v-for="(item, index) in listNamepay.listnamepay" :key="index">
                <div style="display: flex;">
    <div style="flex: 1;">
       
        <v-table>
            <thead>
                <tr>
                    <th class="text-center">
                        เงินได้
                    </th>
                </tr>
            </thead>
            <tbody>
            
                <tr>
                    <td>เงินเดือน/ค่าจ้าง</td>
                    <td>{{ item.salary }}</td>
                </tr>
                <tr>
                    <td>ค่าล่วงเวลา</td>
                    <td>0</td>
                </tr>
                <tr>
                    <td>ค่าเบี้ยเลี้ยง/ค่าครองชีพ</td>
                    <td>0</td>
                </tr>
                <tr>
                    <td>โบนัส</td>
                    <td>0</td>
                </tr>
            </tbody>
        </v-table>
    </div>
    <div style="flex: 1;">
        <v-table>
            <thead>
                <tr>
                    <th class="text-center">
                        รายการหัก
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>ประกันสังคม</td>
                    <td>0</td>
                </tr>
                <tr>
                    <td>เงินประกัน</td>
                    <td>0</td>
                </tr>
                <tr>
                    <td>ขาด/ลา/มาสาย</td>
                    <td>0</td>
                </tr>
                <tr>
                    <td>รายการหักอื่นๆ</td>
                    <td>0</td>
                </tr>
            </tbody>
        </v-table>
    </div>
    <div style="flex: 1;">
        <v-table>
            <thead>
                <tr>
                    <th class="text-center">
                        รวม
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>รวมเงินได้</td>
                    <td>{{ item.salary }}</td>
                </tr>
                <tr>
                    <td>รวมรายการหัก</td>
                    <td>0</td>
                </tr>
                <tr>
                    <td>เงินได้สุทธิ</td>
                    <td>0</td>
                </tr>
            </tbody>
        </v-table>
    </div>
</div>
</div>
  <div>
      <tr>
        <td style="text-align: left; padding-right: 350px">
          <br>
          <br>
          หมายเหตุ:
          <div class="text-caption" >Remarks</div>
        </td>
        <td>
          <br>
          <br>
          ลายเซ็นผู้จ่ายเงิน:
          <div class="text-caption" >Employer's Signature</div>
        </td>
      </tr>
      </div>
            </v-card-text>
            
            <v-card-actions>
              <v-spacer></v-spacer>
  
              <v-btn
                text="Cancel"
                variant="text"
                @click="isActive.value = false"
              ></v-btn>
  
              <v-btn
                color="surface-variant"
                text="Print"
                variant="flat"
                @click="isActive.value = false"
              ></v-btn>
            </v-card-actions>
          </v-card>
        </template>
      </v-dialog>
    </div>
  </template>